Bug 43763 - Installer returns an exception occured after selecting a partionless install.
Summary: Installer returns an exception occured after selecting a partionless install.
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-07 03:12 UTC by Need Real Name
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-20 18:59:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bug lo9g (266.20 KB, text/plain)
2001-06-07 03:13 UTC, Need Real Name
no flags Details

Description Need Real Name 2001-06-07 03:12:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
Every time I try to do a partitionless install I get this bug.  I save the 
file and get a report called 'anacdump'.  The begining of it looks like 
this:
Traceback (innermost last):
  File "/usr/bin/anaconda", line 520, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 1126, in run
    rc = apply (step[1](), args)
  File "/var/tmp/anaconda-
7.1//usr/lib/anaconda/textw/partitioning_text.py", line 228, in __call__
    todo.fstab.turnOnSwap(todo.instPath)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/fstab.py", line 505, in 
turnOnSwap
    isys.ddfile(file, size, (self.progressWindow,
  
File "/mnt/redhat/test/qa0408.4/i386/RedHat/instimage/usr/lib/anaconda/isys
.py", line 90, in ddfile
    fd = os.open(file, os.O_RDWR | os.O_CREAT)
OSError: [Errno 2] No such file or directory: '/mnt/loophost/rh-swap.img'

How reproducible:
Always

Steps to Reproduce:
1.Run Install in text mode
2.Do a partitionless install
3.

Basically, I just set up as the directions told me to
	

Actual Results:  Exception Occcured

Expected Results:  Installation of Red Hat Linux

Additional info:

file: /mnt/loophost/rh-swap.img
pw: (<method InstallInterface.progressWindow of InstallInterface instance 
at 82246a8>, 'Swap Space', 'Creating swap space...')
fd: 9
megs: 32

This is placed after a bunch of binary stuff in the file, it is also 
followed by some other lines, but I did not include them

Comment 1 Need Real Name 2001-06-07 03:13:20 UTC
Created attachment 20535 [details]
bug lo9g

Comment 2 Brent Fox 2001-06-10 19:02:24 UTC
Did the FAT partition that you installed to already exist or did you make it
with Disk Druid?

Comment 3 Brent Fox 2001-06-20 18:59:27 UTC
Closing due to inactivity. Please reopen if you have more information.


Note You need to log in before you can comment on or make changes to this bug.